Bug 1561077 - Duplicate RBAC Role and Group names allowed when using different capitalization from the original name
Summary: Duplicate RBAC Role and Group names allowed when using different capitalizati...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Hilda Stastna
QA Contact: Landon LaSmith
URL:
Whiteboard: rbac:webui
Keywords: ZStream
Depends On: 1537171
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-27 15:04 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
8 users (show)

(edit)
Clone Of: 1537171
(edit)
Last Closed: 2018-06-25 14:19:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 2 CFME Bot 2018-04-09 18:37:20 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/1f6387c48361d05194a2423fe0fc53cf364b592d
commit 1f6387c48361d05194a2423fe0fc53cf364b592d
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Mon Mar 26 16:11:17 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Mon Mar 26 16:11:17 2018 -0400

    Merge pull request #17197 from hstastna/Duplicate_RBAC_Role_Group_names_capitalization

    Add case insensitivity when validating uniqueness of name of new group/role
    (cherry picked from commit ad57f99c011037384f8415ef6ae8ad41f75d81a8)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1561077

 app/models/miq_group.rb | 2 +-
 app/models/miq_user_role.rb | 3 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

Comment 3 Landon LaSmith 2018-05-10 16:45:31 UTC
VERIFIED in 5.8.4.2.

I was prevented from creating duplicate group/roles that differ in capitalization from the original group/role

Comment 5 errata-xmlrpc 2018-06-25 14:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.